This is a "plugin" for the Video Disk Recorder (VDR).

Written by:                  Marcel Witte
                             Emanuel Wontorra
                             webepg@wontorra.net

Project's homepage:          http://wepepg.wontorra.net/

Latest version available at: http://wepepg.wontorra.net/

See the file COPYING for license information.


Description:

 This Plugin downloads the program-data of some channels for using it as EPG in VDR.
 There are two modes:

  - online-mode: The data will be directly downloaded from the web
  - offline-mode: The data will be imported from a local directory


Requirements:

  - VDR >= 1.3.44 [http://www.cadsoft.de/vdr]
  - libcurl [http://curl.haxx.se/] (+devel-packages at some distributions)
  - zlib [http://www.zlib.net/] (+devel-packages at some distributions)
  - tar [http://www.gnu.org/software/tar/tar.html] for importing in offline-mode
  - Internet-connection for online-mode

Installation:

 First you have to install libcurl and zlib. For this you can install the 
 package curl(-devel) and zlib(-devel) or you compile them from the sources.

 Then you have to install the plugin as the most others:

  cp /path/to/package/vdr-webepg-version.tgz /path/to/VDR-sources/PLUGINS/src
  cd /path/to/VDR-sources/PLUGINS/src
  tar -xzf vdr-webepg-version.tgz
  ln -s webepg-version webepg
  cd ../..
  make (parameters for other plugins) plugins
  make install-plugins

 Then you can start the plugin with the following parameters:

  -d X,     --debuglevel X Set DebugLevel X for webepg. [default: 0]
                             0: No Debug-Messages
                             1: Just Errors will be shown
                             2: Standard-Messages
                             3: Details about every channel will be shown
                             4: Lots of debugmessages for development will be shown
  -c DIR,   --confdir DIR  Use DIR as configuration-directory with the channels.conf 
                           (for webepg, not the channels.conf of VDR)
                           [default: vdr-conf-dir/plugins/webepg]
  -x DIR,   --xmldir DIR   Download/Import all xml-files to DIR
                           [default: vdr-conf-dir/plugins/webepg]
  -i DIR,   --import DIR   Import .epg.tar-files from this directory in offline-mode
                           [default: vdr-conf-dir/plugins/webepg]
  -l FILE,  --log FILE     Write a log in FILE
                           [default: no log]

Configuration:

 Before you can use webepg the first time, you have to create and edit a channels.conf
 in the configuration-directory of webepg. This has the same format as the
 channels.conf of VDR with two new parameters: The first is the name of the channel in
 webepg (for example ard.de for Das Erste) and the second optional for the maximum
 number of days to download and import. For Example:

  Das Erste;ARD:11836:hC34:S19.2E:27500:101:102=deu;106=deu:104:0:28106:1:1101:0:ard.de:0

 0 as second parameter means that all accasseble days will be used.

 Then you can start vdr with the plugin and go in the setup of webepg:

  Hide Mainmenu-entry:            Hide the mainmenu-entry from the VDR-mainmenu
  Mode:                           choose between online- or offline-mode
                                  (see chapter description)
  Max. number of days to load:    if there is no second parameter in channels.conf,
                                  this is the maximum number of days to load.

Usage:

 You just have to choose "Download EPG from the web" from the main-menu to start webepg.
 Depending on mode the plugin will download or import the data and then load them as
 EPG in VDR. You can switch the pages (because he will find a lot of channels in the web)
 with pressing <Left>- or <Right>-Key. You shouldn't use <Menu>-Key to abort the process,
 but the <Back>-Key. The plugin then will abort the process when it is possible (it may 
 take some time, because if he is downloading a channel it will complete downloading to
 avoid data-waste). If webepg is ready or you have aborted it you can close the plugin
 with <Back>.

 Important:
 webepg will delete all files he can find in 'his' xmldir and he doesn't need anymore,
 so you should create an own directory for it or use the default an do not store any
 important files in it!

